<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-latest.xsd">
    <property name="now" value="now()" dbms="mysql"/>
    <property name="floatType" value="float" dbms="mysql"/>
    <property name="clobType" value="clob" dbms="mysql"/>
    <property name="blobType" value="longblob" dbms="mysql"/>
    <property name="uuidType" value="varchar(36)" dbms="mysql"/>
    <property name="datetimeType" value="datetime(6)" dbms="mysql"/>

    <include file="config/liquibase/changelog/00000000000000_initial_schema.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091307_added_entity_OrganizationType.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091407_added_entity_Organization.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091507_added_entity_MetadataProperty.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091607_added_entity_MetadataValue.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091707_added_entity_UnitType.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091807_added_entity_Unit.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091907_added_entity_UnitConverter.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092007_added_entity_VariableScope.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092107_added_entity_VariableCategory.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092207_added_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092307_added_entity_VariableUnits.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092407_added_entity_VariableClass.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092507_added_entity_Period.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092607_added_entity_PeriodVersion.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092707_added_entity_InputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092807_added_entity_InputDataUpload.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092907_added_entity_InputDataUploadLog.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015093007_added_entity_OutputData.xml" relativeToChangelogFile="false"/>
    <!-- jhipster-needle-liquibase-add-changelog - JHipster will add liquibase changelogs here -->
    <include file="config/liquibase/changelog/20241015091307_added_entity_constraints_OrganizationType.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091407_added_entity_constraints_Organization.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091807_added_entity_constraints_Unit.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015091907_added_entity_constraints_UnitConverter.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092107_added_entity_constraints_VariableCategory.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092207_added_entity_constraints_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092307_added_entity_constraints_VariableUnits.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092407_added_entity_constraints_VariableClass.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092607_added_entity_constraints_PeriodVersion.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092707_added_entity_constraints_InputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092807_added_entity_constraints_InputDataUpload.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015092907_added_entity_constraints_InputDataUploadLog.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241015093007_added_entity_constraints_OutputData.xml" relativeToChangelogFile="false"/>
    <!-- jhipster-needle-liquibase-add-constraints-changelog - JHipster will add liquibase constraints changelogs here -->
    <!-- jhipster-needle-liquibase-add-incremental-changelog - JHipster will add incremental liquibase changelogs here -->
    <include file="config/liquibase/changelog/20241015105339_import_standard_data.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241024175307_added_entity_VariableClassType.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241025180907_altered_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241025234007_change_parent_of_VariableClass.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241026005807_altered_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241027235307_altered_entity_VariableUnit.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241031074807_constraint_entity_VariableClass.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241101142307_altered_entity_InputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241110130700_altered_entity_InputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241110131000_altered_entity_InputDataUpload.xml" relativeToChangelogFile="false"/>
    
    <include file="config/liquibase/changelog/20241119003525_added_entity_EmissionFactor.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241119003525_added_entity_constraints_EmissionFactor.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241119230505_altered_entity_Unit.xml" relativeToChangelogFile="false"/>
    
    <include file="config/liquibase/changelog/20241128171125_altered_entity_EmissionFactor.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241205125307_altered_entity_InputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241205232507_altered_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20241206212207_altered_entity_OutputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250119123000_altered_entity_InputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250119193000_altered_entity_InputDataUploadLog.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250119194000_altered_entity_UnitConverter.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250127183000_altered_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250130133000_altered_entity_EmissionFactor.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250130152000_altered_entity_InputData.xml" relativeToChangelogFile="false"/>
    
    <include file="config/liquibase/changelog/20250131120000_altered_entity_InputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250131121000_altered_entity_OutputData.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250131122000_altered_entity_EmissionFactor.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250209225000_altered_entity_EmissionFactor.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250211161000_added_entity_DashoardComponent.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250211161001_added_entity_DashboardComponentDetail.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250215093000_altered_entity_DashboardComponentDetail.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250228164500_altered_entity_DashboardComponentDetail.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250303185000_altered_entity_DashboardComponent.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250306190000_altered_entity_DashboardComponentDetail.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250318010000_altered_entity_DashboardComponent.xml" relativeToChangelogFile="false"/>
    
    <include file="config/liquibase/changelog/20250318024500_altered_entity_DashboardComponentDetail.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250318024600_altered_entity_DashboardComponent.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250321121200_altered_entity_VariableCategory.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250325000000_altered_entity_VariableScope.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250325000001_altered_entity_VariableCategory.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250328201500_altered_entity_DashboardComponentDetail.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250331130000_altered_entity_Organization.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250331220000_altered_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250402144500_altered_entity_DashboardComponent.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250402200000_added_entity_Security.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250409110000_altered_entity_SecurityResource.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250412010000_altered_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250414100000_added_entity_Document.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250415084000_altered_entity_DashboardComponent.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250415163500_altered_entity_User.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250415200000_update_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250416090000_added_entity_ContentPage.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250416120000_altered_entity_Variable.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20252104104000_added_entity_ResilientLog.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250502222301_added_entity_DashboardComponentOrganization.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250506120000_altered_entity_ResilientLog.xml" relativeToChangelogFile="false"/>
    <include file="config/liquibase/changelog/20250604123000_altered_entity_User.xml" relativeToChangelogFile="false"/>
    
</databaseChangeLog>
